@echo off

rem -------------------------------------
rem BUILD gch for g++
rem -------------------------------------

for /f "skip=4 delims=	 tokens=3*" %%i in ('reg query "HKLM\Software\TS Support\MCFX Pro" /v RootDirectory') do (set MCDIR=%%i)
rem set MCDIR=C:\Program Files\TS Support\MCFX Pro\

echo "%MCDIR%"

SETLOCAL
set OLDPATH = %PATH%
PATH = %PATH%;%MCDIR%\make\MinGW\bin

@echo on

"%MCDIR%\make\MinGW\bin\g++.exe" -O0 -w -c -fomit-frame-pointer -fno-enforce-eh-specs -fno-rtti -DBUILD_DLL -DHASH_INLINE -D_EXPORT_CREATE_DELETE_OBJ_ SimplImpl.h
xcopy /Y /R "SimplImpl.h.gch" "%MCDIR%\CommonHeaders\Optim0"

"%MCDIR%\make\MinGW\bin\g++.exe" -O3 -w -c -fomit-frame-pointer -fno-enforce-eh-specs -fno-rtti -DBUILD_DLL -DHASH_INLINE -D_EXPORT_CREATE_DELETE_OBJ_ SimplImpl.h
xcopy /Y /R "SimplImpl.h.gch" "%MCDIR%\CommonHeaders\Optim3"


@echo off

PATH=%OLDPATH
ENDLOCAL
